MessagePack.Span 1.0.2

This package includes a mostly complete port of the MessagePack(for more info see: https://github.com/neuecc/MessagePack-CSharp/) assembly to support .NET 4.5.1 and newer.

These types can serialize by default:
System.Delegate
System.Type
System.Globalization.CultureInfo
System.Net.IPAddress
System.Net.IPEndPoint
System.Reflection.ConstructorInfo
System.Reflection.EventInfo
System.Reflection.FieldInfo
System.Reflection.MemberInfo
System.Reflection.MethodInfo
System.Reflection.PropertyInfo
System.Linq.Expressions.*

There is a newer version of this package available.
See the version list below for details.
Install-Package MessagePack.Span -Version 1.0.2
dotnet add package MessagePack.Span --version 1.0.2
<PackageReference Include="MessagePack.Span" Version="1.0.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add MessagePack.Span --version 1.0.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: MessagePack.Span, 1.0.2"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install MessagePack.Span as a Cake Addin
#addin nuget:?package=MessagePack.Span&version=1.0.2

// Install MessagePack.Span as a Cake Tool
#tool nuget:?package=MessagePack.Span&version=1.0.2
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

NuGet packages (2)

Showing the top 2 NuGet packages that depend on MessagePack.Span:

Package Downloads
MessagePack.Span.LZ4
This package includes a mostly complete port of the MessagePack(for more info see: https://github.com/neuecc/MessagePack-CSharp/) assembly to support .NET 4.5.1 and newer.
MessagePack.Span.ImmutableCollection
This package includes a mostly complete port of the MessagePack.ImmutableCollection(for more info see: https://github.com/neuecc/MessagePack-CSharp/) assembly to support .NET 4.5.1 and newer.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.1.0 1,294 6/19/2019
1.0.2 326 5/13/2019
1.0.1 396 4/22/2019
1.0.0 341 4/19/2019
1.0.0-beta-190414-01 324 4/14/2019
1.0.0-beta-190412-01 359 4/13/2019